3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php class SomeException extends Exception { } function getDomain() { return 'example.com'; } function getSubDomains() { return array('www.example.com'); } function register($domainKeys, $subdomains) { $domains = (array) getDomain(); if ($subdomains == null) { $domains = array_merge($domains, getSubdomains()); } else { $domains = array_merge($domains, $subdomains); } $san = implode(",", array_map(function ($dns) { return "DNS:" . $dns; }, $domains)); throw new SomeException("yo"); return $domains; } function register2($domainKeys, $subdomains) { try { register($domainKeys, $subdomains); } catch(Exception $e) { throw new Exception($e->getMessage(), $e->getCode(), $e); } } var_dump(register2(null, (array)$nonset));
based on GtZv5
Output for 7.0.0 - 7.2.0
Notice: Undefined variable: nonset in /in/0JlrG on line 35 Fatal error: Uncaught SomeException: yo in /in/0JlrG:22 Stack trace: #0 /in/0JlrG(28): register(NULL, Array) #1 /in/0JlrG(35): register2(NULL, Array) #2 {main} Next Exception: yo in /in/0JlrG:31 Stack trace: #0 /in/0JlrG(35): register2(NULL, Array) #1 {main} thrown in /in/0JlrG on line 31
Process exited with code 255.
Output for 5.3.21 - 5.6.28
Notice: Undefined variable: nonset in /in/0JlrG on line 35 Fatal error: Uncaught exception 'SomeException' with message 'yo' in /in/0JlrG:22 Stack trace: #0 /in/0JlrG(28): register(NULL, Array) #1 /in/0JlrG(35): register2(NULL, Array) #2 {main} Next exception 'Exception' with message 'yo' in /in/0JlrG:31 Stack trace: #0 /in/0JlrG(35): register2(NULL, Array) #1 {main} thrown in /in/0JlrG on line 31
Process exited with code 255.